#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.3
visibility:           public
id:                   http-client-restricted-0.0.3-ldm76v3XMgF7JQqp55jQF
key:                  http-client-restricted-0.0.3-ldm76v3XMgF7JQqp55jQF
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  160deb8ff64d3c33dadc936de805e28f
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-8.10.2/site-local/http-client-restricted-0.0.3
library-dirs:         /usr/lib/ghc-8.10.2/site-local/http-client-restricted-0.0.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/http-client-restricted-0.0.3

hs-libraries:         HShttp-client-restricted-0.0.3-ldm76v3XMgF7JQqp55jQF
depends:
    base-4.14.1.0 connection-0.3.1-48qEh5O7AiXF3yHKsQ1Bcs
    data-default-0.7.1.1-EQ1Yxf5cFwlI9vOnhbtBic
    http-client-0.7.2-Goja8N1jT9W2hxYE0wEwfy
    http-client-tls-0.3.5.3-BJ2B9K0Iksi3HNwbL0Yayj
    network-3.1.2.0-F7RvimuUXfr8J8mPq0Fg6c
    network-bsd-2.8.1.0-6Bx5j96Om5tGBhAsHG2MeJ
    utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

